Description

Supportanfrage

Kénnen CAN Datenbasen in ASAM XML Format in ADTF2 verwendet werden?
Im Changelog der Device Toolbox 2.5 finde ich ,#24574 [Parser]: The CAN/Fibex parser must be exchangeable for different file

formats”. ADTF 2.14 verweigert das Laden einer CAN-XML nicht, sowohl im CCCext als auch im CAN Trace Tree View. Trotzdem
werden die CAN Daten nicht dekodiert, wenn eine CAN-XML ausgewahlt wurde.

Lésung

Mit diesem Ticket wurde die Schnittstelle geschaffen, den Parser auszutauschen.
ADTF bzw. die Device TB bietet weiterhin per default einen DBC Parser fiir CAN.

Allerdings hast du nun die Méglichkeit, einen eigenen Parser zu entwickeln, der mit ASAM XML (ich vermute arxml) umgehen kann

und die entsprechenden CAN Daten bereitstellt.

Wenn du einen eigenen Parser via Service bereitstellst, wird dieser genommen, sofern die Dateiendungen passen.

Siehe Custom Parser Implementation

History

#1 - 2018-07-19 14:23 - hidden

- Project changed from Public Support to 20

- Status changed from New to In Progress

- Topic set to DeviceTB::CAN

- Customer set to VW

- Department set to IAV

- Affected Products ADTF Device Toolbox 2.5.0 added

#2 - 2018-07-23 14:27 - hidden

- Status changed from In Progress to Customer Feedback Required

Hallo Antoine,

mit diesem Ticket wurde die Schnittstelle geschaffen, den Parser auszutauschen.
ADTF bzw. die Device TB bietet weiterhin per default einen DBC Parser fur CAN.

Allerdings hast du nun die Méglichkeit, einen eigenen Parser zu entwickeln, der mit ASAM XML (ich vermute arxml) umgehen kann und die

entsprechenden CAN Daten bereitstellt.

Wenn du einen eigenen Parser via Service bereitstellst, wird dieser genommen, sofern die Dateiendungen passen.

Siehe Custom Parser Implementation
support.digitalwerk.net/adtf_addons/adtf-device-toolbox/v2/api/page_custom_parser.html
support.digitalwerk.net/adtf_addons/adtf-device-toolbox/v2/api/page_custom_parser.html

#3 - 2018-07-30 08:30 - hidden

- Status changed from Customer Feedback Required to To Be Closed
- Private changed from Yes to No

- Resolution set to No Customer Feedback

- Project changed from 20 to Public Support

- Description updated

Kein Feedback, Ticket wird geschlossen

#4 - 2018-07-30 08:31 - hidden
- Subject changed from CAN database als ASAM XML in ADTF 2.x to Load CAN database from ASAM XML in ADTF 2.x

#5 - 2018-07-31 15:26 - hidden

- Status changed from To Be Closed to Closed
Ticket wird geschlossen.

Noch ein Hinweis:

Elektrobit z.B. bietet einen Parser fir ARXML. Details kdnnen bei Pierre Voigtlander (AEV) erfragt werden.
Sollte auch irgendwann hier stehen
https://www.cip.audi.de/wiki/display/ODACOMMEX/ADTF+-+VW+Internal+News
http://www.tcpdf.org

